﻿

g_TEXT_MAP = {}

local lang = ___getenv( "System.Lang" , "" )
lang = ___getenv( "app.default_lang", lang )

if lang == "ko" then
	g_TEXT_MAP[ "txtid_check_update" ] 	= '지금 업데이트 하시겠습니까?'
	g_TEXT_MAP[ "txtid_check_wifi" ] 	= ' 와이파이로 연결되어 있지 않습니다.<br> 최신파일로 다운로드를 계속 진행하시겠습니까?'	
	g_TEXT_MAP[ "txtid_first_download" ] 	= ' 리소스 패치는 최초 설치시 1회만 진행됩니다.'
	g_TEXT_MAP[ "txtid_check_network" ] = '서버와 연결이 되지 않았습니다.(1) <br>네트워크 연결상태를 확인해 주세요.'	
	g_TEXT_MAP[ "txtid_can_not_connect_to_patch_server" ] = '서버와 연결이 되지 않았습니다.(2) <br>네트워크 연결상태를 확인해 주세요.'
	g_TEXT_MAP[ "txtid_processing_update_information" ] = '업데이트 정보를 확인하고 있습니다.'
	g_TEXT_MAP[ "txtid_Please_wait" ] = '잠시만 기다려주세요.'
	g_TEXT_MAP[ "txtid_downloading" ] = '파일 받는중'
	g_TEXT_MAP[ "ui_btn_ok_01" ] = '확인'
	g_TEXT_MAP[ "ui_btn_yes" ] = '예'	
	g_TEXT_MAP[ "ui_btn_no" ] = '아니오'
	g_TEXT_MAP[ "txtid_retry" ] = '서버와 연결이 되지 않았습니다.(3) <br>네트워크 연결상태를 확인해 주세요.'
	g_TEXT_MAP[ "txtid_reading_update_information" ] = '업데이트 정보를 읽고 있습니다...'
	g_TEXT_MAP[ "txtid_connecting_to_update_server" ] = '업데이트 서버에 연결중입니다...'
	g_TEXT_MAP[ "txtid_download_error01" ] = '다운로드 에러.'
	g_TEXT_MAP[ "txtid_download_error02" ] = '다운로드 에러'
	g_TEXT_MAP[ "txtid_download_error03" ] = '다운로드 에러..'
	g_TEXT_MAP[ "txtid_download_error04" ] = '다운로드 에러!'
	g_TEXT_MAP[ "txtid_can_not_read_from_patch_server" ] = '서버와 연결이 되지 않았습니다.(4) <br>네트워크 연결상태를 확인해 주세요.'
	g_TEXT_MAP[ "txtid_upgrading_resources" ] = '리소스 업데이트중...'
	g_TEXT_MAP[ "txtid_can_not_open_data_file" ] = '데이터 파일을 열 수 없습니다...'
	g_TEXT_MAP[ "txtid_can_not_query_to_patch_server" ] = '패치 서버에 쿼리할 수 없습니다.'
	g_TEXT_MAP[ "txtid_server_is_under_maintenance" ] = '서버 유지 관리중입니다...'
	g_TEXT_MAP[ "txtid_invalid_message_from_patch_server" ] = '유효하지 않는 메시지입니다...'
	g_TEXT_MAP[ "txtid_unknown_download_error" ] = '알 수 없는 에러'
	g_TEXT_MAP[ "txtid_update_complete" ] = '업데이트 완료'
	g_TEXT_MAP[ "txtid_not_enough_free_space" ] = '저장 공간이 충분하지 않습니다.'
	g_TEXT_MAP[ "txtid_copying_patch_files" ] = '패치 파일을 저장중입니다...'
	g_TEXT_MAP[ "txtid_this_application_is_too_old_touch_to_update" ] = '스토어에 새로운 버전이 있습니다.<br>스토어에서 최신 버전 설치후 실행해주세요.'
	g_TEXT_MAP[ "can_not_connect_url" ] = '서버와 연결이 되지 않았습니다.<br> ERROR CODE : 0000'
	g_TEXT_MAP[ "parsing_http_00_301" ] = '서버와 연결이 되지 않았습니다.<br> ERROR CODE : 0001'
	g_TEXT_MAP[ "parsing_http_00_302" ] = '서버와 연결이 되지 않았습니다.<br> ERROR CODE : 0002'
	g_TEXT_MAP[ "parsing_http_not_code_200" ] = '서버와 연결이 되지 않았습니다.<br> ERROR CODE : 0003'
	g_TEXT_MAP[ "parsing_http_error_code" ] = '서버와 접속 실패 하였습니다.<br> ERROR CODE : '
	g_TEXT_MAP[ "error_connect_read_until_00" ] = '서버와 연결이 되지 않았습니다.<br> ERROR CODE : 0003'
	g_TEXT_MAP[ "error_connect_read_chunk_00" ] = '서버와 연결이 되지 않았습니다.<br> ERROR CODE : 0004'
	g_TEXT_MAP[ "error_connect_read_until_01" ] = '서버와 연결이 되지 않았습니다.<br> ERROR CODE : 0005'
	g_TEXT_MAP[ "error_connect_read_chunk_01" ] = '서버와 연결이 되지 않았습니다.<br> ERROR CODE : 0006'
elseif lang == "jp" then
	g_TEXT_MAP[ "txtid_check_update" ] 	= '今すぐアップデートしますか？'
	g_TEXT_MAP[ "txtid_check_wifi" ] 	= 'Wi-Fiに接続されておりません。<br> 最新ファイルのダウンロードを続けますか？'	
	g_TEXT_MAP[ "txtid_first_download" ] 	= 'リソースのダウンロードは最初の一回のみ行います。'
	g_TEXT_MAP[ "txtid_check_network" ] = 'ネットワークに接続できません(1) <br>接続状況を確認してから再度お試しください。'	
	g_TEXT_MAP[ "txtid_can_not_connect_to_patch_server" ] = 'ネットワークに接続できません(2) <br>接続状況を確認してから再度お試しください。'
	g_TEXT_MAP[ "txtid_processing_update_information" ] = 'アップデート情報を確認しております。'
	g_TEXT_MAP[ "txtid_Please_wait" ] = 'しばらくお待ちください。'
	g_TEXT_MAP[ "txtid_downloading" ] = 'ダウンロード中'
	g_TEXT_MAP[ "ui_btn_ok_01" ] = '確認'
	g_TEXT_MAP[ "ui_btn_yes" ] = 'はい'	
	g_TEXT_MAP[ "ui_btn_no" ] = 'いいえ'
	g_TEXT_MAP[ "txtid_retry" ] = 'ネットワークに接続できません(3) <br>接続状況を確認してから再度お試しください。'
	g_TEXT_MAP[ "txtid_reading_update_information" ] = 'アップデート情報を取得中です。'
	g_TEXT_MAP[ "txtid_connecting_to_update_server" ] = '通信中です。'
	g_TEXT_MAP[ "txtid_download_error01" ] = 'ダウンロードエラー'
	g_TEXT_MAP[ "txtid_download_error02" ] = 'ダウンロードエラー'
	g_TEXT_MAP[ "txtid_download_error03" ] = 'ダウンロードエラー'
	g_TEXT_MAP[ "txtid_download_error04" ] = 'ダウンロードエラー'
	g_TEXT_MAP[ "txtid_can_not_read_from_patch_server" ] = 'ネットワークに接続できません(4) <br>接続状況を確認してから再度お試しください。'
	g_TEXT_MAP[ "txtid_upgrading_resources" ] = 'リソースアップデート中'
	g_TEXT_MAP[ "txtid_can_not_open_data_file" ] = 'データーファイルを開くことができません。'
	g_TEXT_MAP[ "txtid_can_not_query_to_patch_server" ] = 'パッチサーバーに接続ができません。'
	g_TEXT_MAP[ "txtid_server_is_under_maintenance" ] = 'メンテナンス中です。'
	g_TEXT_MAP[ "txtid_invalid_message_from_patch_server" ] = '無効なメッセージです。'
	g_TEXT_MAP[ "txtid_unknown_download_error" ] = '原因不明のエラー'
	g_TEXT_MAP[ "txtid_update_complete" ] = 'アップデート完了'
	g_TEXT_MAP[ "txtid_not_enough_free_space" ] = 'ストレージに空き領域がありません。'
	g_TEXT_MAP[ "txtid_copying_patch_files" ] = 'アップデートファイルを保存しております。'
	g_TEXT_MAP[ "txtid_this_application_is_too_old_touch_to_update" ] = 'ストアに新しいバージョンがあります。<br> 最新バージョンをインストールしてください。'
	g_TEXT_MAP[ "can_not_connect_url" ] = 'ネットワークに接続できません。<br> ERROR CODE : 0000'
	g_TEXT_MAP[ "parsing_http_00_301" ] = 'ネットワークに接続できません。<br> ERROR CODE : 0001'
	g_TEXT_MAP[ "parsing_http_00_302" ] = 'ネットワークに接続できません。<br> ERROR CODE : 0002'
	g_TEXT_MAP[ "parsing_http_error_code" ] = 'ゲームサーバーとの接続に失敗しました。<br> ERROR CODE : '
	g_TEXT_MAP[ "error_connect_read_until_00" ] = 'ネットワークに接続できません。<br> ERROR CODE : 0003'
	g_TEXT_MAP[ "error_connect_read_chunk_00" ] = 'ネットワークに接続できません。<br> ERROR CODE : 0004'
	g_TEXT_MAP[ "error_connect_read_until_01" ] = 'ネットワークに接続できません。<br> ERROR CODE : 0005'
	g_TEXT_MAP[ "error_connect_read_chunk_01" ] = 'ネットワークに接続できません。<br> ERROR CODE : 0006'
else 
	g_TEXT_MAP[ "txtid_check_update" ] 	= 'just got better!<br>Update it now?'
	g_TEXT_MAP[ "txtid_check_wifi" ] 	= 'You are not connected to Wi-Fi. Would you like to continue downloading the contents using the cellular data?'	
	g_TEXT_MAP[ "txtid_first_download" ] 	= 'Downloading additional content - this is one time download'
	g_TEXT_MAP[ "txtid_check_network" ] = 'Please check your network connection and try again later!'	
	g_TEXT_MAP[ "txtid_can_not_connect_to_patch_server" ] = 'Please check your network connection and try again later!'
	g_TEXT_MAP[ "txtid_processing_update_information" ] = 'Processing update information...'
	g_TEXT_MAP[ "txtid_Please_wait" ] = 'Please wait '
	g_TEXT_MAP[ "txtid_downloading" ] = 'Downloading'
	g_TEXT_MAP[ "ui_btn_ok_01" ] = 'OK'
	g_TEXT_MAP[ "ui_btn_yes" ] = 'YES'	
	g_TEXT_MAP[ "ui_btn_no" ] = 'NO'	
	g_TEXT_MAP[ "txtid_retry" ] = 'Please check your network connection and try again later!'
	g_TEXT_MAP[ "txtid_reading_update_information" ] = 'Reading update information...'
	g_TEXT_MAP[ "txtid_connecting_to_update_server" ] = 'Connecting to update server...'
	g_TEXT_MAP[ "txtid_download_error01" ] = 'Download error.'
	g_TEXT_MAP[ "txtid_download_error02" ] = 'Download error'
	g_TEXT_MAP[ "txtid_download_error03" ] = 'Download error..'
	g_TEXT_MAP[ "txtid_download_error04" ] = 'Download error!'	
	g_TEXT_MAP[ "txtid_can_not_read_from_patch_server" ] = 'Can`t read from patch server.'
	g_TEXT_MAP[ "txtid_upgrading_resources" ] = 'Upgrading resources...'
	g_TEXT_MAP[ "txtid_can_not_open_data_file" ] = 'Can`t open data file...'
	g_TEXT_MAP[ "txtid_can_not_query_to_patch_server" ] = 'Can`t query to patch server.'
	g_TEXT_MAP[ "txtid_server_is_under_maintenance" ] = 'Server is under maintenance...'
	g_TEXT_MAP[ "txtid_invalid_message_from_patch_server" ] = 'Invalid message from patch server...'
	g_TEXT_MAP[ "txtid_unknown_download_error" ] = 'Unknown download error'
	g_TEXT_MAP[ "txtid_update_complete" ] = 'Update Complete'
	g_TEXT_MAP[ "txtid_not_enough_free_space" ] = 'Not enough free space'
	g_TEXT_MAP[ "txtid_copying_patch_files" ] = 'Copying patch files...'
	g_TEXT_MAP[ "txtid_this_application_is_too_old_touch_to_update" ] = 'this application is too old touch toupdate.'
	g_TEXT_MAP[ "can_not_connect_url" ] = 'Network connect Fail. <br> ERROR CODE : 0000'
	g_TEXT_MAP[ "parsing_http_00_301" ] = 'Network connect Fail. <br> ERROR CODE : 0001'
	g_TEXT_MAP[ "parsing_http_00_302" ] = 'Network connect Fail. <br> ERROR CODE : 0002'
	g_TEXT_MAP[ "parsing_http_error_code" ] = 'Server connect Fail. <br> ERROR CODE : '
	g_TEXT_MAP[ "error_connect_read_until_00" ] = 'Network connect Fail. <br> ERROR CODE : 0003'
	g_TEXT_MAP[ "error_connect_read_chunk_00" ] = 'Network connect Fail. <br> ERROR CODE : 0004'
	g_TEXT_MAP[ "error_connect_read_until_01" ] = 'Network connect Fail. <br> ERROR CODE : 0005'
	g_TEXT_MAP[ "error_connect_read_chunk_01" ] = 'Network connect Fail. <br> ERROR CODE : 0006'
end


function getTEXT( textid )

	-- 뭔가 잘 안되서 임시로 추가해봄 by Testors
	if g_TEXT_MAP[ textid ] then return g_TEXT_MAP[ textid ] end

	local data = string.split(textid, " :")
	if data[2] then
		local id = string.format( "%s", data[1]  )
		local result = g_TEXT_MAP[ id ]
		if result then
			return result .. data[2]
		end
			return textid
	else
		local result = _T( textid )
		if result and result ~= textid then return result end
		return g_TEXT_MAP[ textid ] or textid
	end
end

function refreshButtonText( wnd )
	wnd.btn_ok.Caption 	= getTEXT( "ui_btn_ok_01" )
	wnd.btn_yes.Caption = getTEXT( "ui_btn_yes" )
	wnd.btn_no.Caption 	= getTEXT( "ui_btn_no" )
end

if not default_confirm_handler then
	default_confirm_handler = {}
end

default_confirm_handler.Show = function( self , msg )
	UI.last_confirm_lc._handler = self
	UI.last_confirm_lc.txt_msg.Caption = msg
	UI.last_confirm_lc.Show = true
end

default_confirm_handler.on_Show = function( self , wnd , from , info )
	print("default_confirm_handler.on_Show", wnd )
	refreshButtonText( wnd )
	wnd.btn_ok.Show 	= true
	wnd.btn_yes.Show 	= false
	wnd.btn_no.Show 	= false
end

if not wifi_confirm_handler then
	wifi_confirm_handler = {}
end

wifi_confirm_handler.Show = function( self )
	UI.last_confirm_lc._handler = self
	UI.last_confirm_lc.Show = true
end

wifi_confirm_handler.on_Show = function( self , wnd , from , info )
	print("wifi_confirm_handler.on_Show:", wnd )
	refreshButtonText( wnd )
	wnd.btn_ok.Show 	= false
	wnd.btn_yes.Show 	= true
	wnd.btn_no.Show 	= true
	if self.STATUS == "update" then		
		wnd.txt_msg.Caption = getTEXT( "txtid_check_update" )
	elseif self.STATUS == "wifi" then
		--wnd.txt_msg.Caption = getTEXT( "txtid_check_wifi" ) .. '  ('..___getenv( 'patch.total_size_str', '' )..')'
		wnd.txt_msg.Caption = getTEXT( "txtid_check_wifi" )
		wnd.btn_ok.Show 	= true
		wnd.btn_yes.Show 	= false
		wnd.btn_no.Show 	= false
	end
end
	
wifi_confirm_handler.on_YES = function( self, wnd , from, info )
	if info.Up then
		UI.Print( 'YES' )
		
		if self.STATUS == "update" then	
			if not UI.m_luncher.PENDING_FINISHTICK then
				local update_app_url = ___getenv( 'patch.update_app_url', '' )
				ExternalIntfImpl:Query( "open.url" , { url = update_app_url }  )				
				UI.m_luncher.PENDING_FINISHTICK = UI.GetTickCount()
			end	
			wnd.Show = false
		end
	end
end

wifi_confirm_handler.on_NO = function( self , wnd , from, info )
	if info.Up then
		if self.STATUS == "update" then
			wnd.Show = false
			UI.Print( 'NO' )
			___abort()
		end
	end
end

wifi_confirm_handler.on_OK = function( self , wnd , from, info )
	if info.Up then
		if wifi_confirm_handler.STATUS == "wifi" then
			UI.m_luncher.IGNORE_WIFI = true
			wnd.Show = false
			start_download( '' )
		end
	end	
end

if not patch_error_confirm_handler then
	patch_error_confirm_handler = {}
end
patch_error_confirm_handler.Show = function( self , msg )
	UI.last_confirm_lc._handler = self
	UI.last_confirm_lc.txt_msg.Caption = msg
	UI.last_confirm_lc.Show = true
end
patch_error_confirm_handler.on_Show = function( self , wnd , from , info )
	refreshButtonText( wnd )
	wnd.btn_ok.Show 	= true
	wnd.btn_yes.Show 	= false
	wnd.btn_no.Show 	= false
end

patch_error_confirm_handler.on_OK = function( self , wnd , from , info )
	if info.Up then
		UI.m_luncher.RETRY = 0
		UI.m_luncher.error.Caption = ''
		UI.m_luncher:StartPatch()
		check_version()
		wnd.Show = false
	end
end

if not error_confirm_handler then
	error_confirm_handler = {}
end

error_confirm_handler.Show = function( self , msg )
	UI.last_confirm_lc._handler = self
	UI.last_confirm_lc.txt_msg.Caption = msg
	UI.last_confirm_lc.Show = true
end

error_confirm_handler.on_Show = function( self , wnd , from , info )
	refreshButtonText( wnd )
	wnd.btn_ok.Show 	= true
	wnd.btn_yes.Show 	= false
	wnd.btn_no.Show 	= false
end
			
error_confirm_handler.on_OK = function( self , wnd , from , info )
	if info.Up then
		local forwardURL = self.forwardURL
		self.forwardURL = nil			

		if forwardURL and string.len( forwardURL ) > 0 then
			ExternalIntfImpl:Query( "open.url" , { url = forwardURL }  )		
			-- wnd.DelayClose = function( self )
				-- self:SetTimer( "DelayClose" , -1 )
				-- self.on_DelayClose = function( self )
					-- ___abort()
				-- end
				-- self:SetTimer( "DelayClose" , 1000 )
			-- end					
			-- wnd:DelayClose()
		else
			--___abort()
			print("RequestServiceURL")
			-- Re Connect Server. 
			UI.last_confirm_lc.Show = false
			RequestServiceURL()
		end
	end
end
