


UI.last_confirm_lc.on_Create = function( self )
	self.XScale 	= UI.ScreenWidth / self.Width
	self.YScale 	= UI.ScreenHeight / self.Height	
	self._handler 	= default_confirm_handler
end

UI.last_confirm_lc.on_Show = function( self , from , info )	
	if self._handler and self._handler.on_Show then
		self._handler:on_Show( self , from , info )
	end
end

UI.last_confirm_lc.on_Hide = function( self )
	if self._handler and self._handler.on_Hide then
		self._handler:on_Hide( self , from , info )
	end
	self:ReleaseSprite()
end

UI.last_confirm_lc.btn_ok.on_MouseButton = function( self, from, info )
	local handler = UI.last_confirm_lc._handler
	if handler and handler.on_OK then
		handler:on_OK( UI.last_confirm_lc , from , info )
	end
end

UI.last_confirm_lc.btn_yes.on_MouseButton = function( self, from, info )
	local handler = UI.last_confirm_lc._handler
	if handler and handler.on_YES then
		handler:on_YES( UI.last_confirm_lc , from , info )
	end
end

UI.last_confirm_lc.btn_no.on_MouseButton = function( self, from, info )
	local handler = UI.last_confirm_lc._handler
	if handler and handler.on_NO then
		handler:on_NO( UI.last_confirm_lc , from , info )
	end
end


