UI.m_version.on_Create = function( self )
	self.XScale = UI.ScreenWidth / 1280
	self.YScale = UI.ScreenHeight / 720

	self.X = UI.ScreenWidth - self.Width
	self.Y = UI.ScreenHeight - self.Height
end

UI.m_version.on_Show = function( self )

end

UI.m_version.UpdateVersion = function( self )

	local game_ver = ___getenv( "app.version", "0" )
	local game_ver_name = ___getenv( "app.version_name", "0" )
	local game_ver_code = ___getenv( "app.version_code", "0" )
	local patch_version  = ___getenv( "patch.version", "0" )

	if g_version.pre.version == "null" then g_version.pre.version = "0" end
	if g_version.pre.version_name == "null" then g_version.pre.version_name = "0" end
	if g_version.pre.version_code == "null" then g_version.pre.version_code = "0" end
	if g_version.pre.version_patch == "null" then g_version.pre.version_patch = "0" end

	local server = ___getenv( "patch.host", "" )	
	if server ~= "" then 
		if string.sub(server, 1, 3) == "mom" then 
			if string.sub(server, 4, 4) == "t" then 
				server = "(T)"
			else
				server = ""
			end
		else
			server = string.sub( server or "" , 1, ( string.find( server or "" , "." ) or 0 ) - 1 ) or ""
		end
	end	
	
	local pre_ver = g_version.pre.version_name .. "." .. g_version.pre.version .. "." .. g_version.pre.version_code .. "." .. g_version.pre.version_patch
	local cur_ver = game_ver_name .. "." .. game_ver .. "." .. game_ver_code .. "." .. patch_version 
	local version = cur_ver
	
	if pre_ver ~= cur_ver then 
		version = pre_ver .. "<br>" .. "<#ffffff>v" ..cur_ver
	end
	
	self.txt_version.Caption = "<size:15><right><vcenter><shadow:1,1,3><#888888>".."v" .. version .. " " .. tostring( server or "" )
end